Index: trunk/admin/modules/Elezioni/ele_widget.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_widget.php	(revision 359)
+++ trunk/admin/modules/Elezioni/ele_widget.php	(revision 360)
@@ -20,5 +20,5 @@
 $currentlang=$_SESSION['lang'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
-$id_cons_gen=$param['id_cons_gen'];	
+$id_cons_gen=intval($param['id_cons_gen']);	
 $perms=ChiSei($id_cons_gen);
 if ($perms<32) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
@@ -41,5 +41,5 @@
 if (isset($param['attivo'])) $attivo=intval($param['attivo']); else $attivo='';
 
-
+/*
 ############# controllo dei widget
         make_db_widget(); // crea tabella se non esiste
@@ -103,5 +103,5 @@
 		}
 
-
+*/
 
 /******************************************************/
Index: trunk/admin/modules/Elezioni/importa.php
===================================================================
--- trunk/admin/modules/Elezioni/importa.php	(revision 359)
+++ trunk/admin/modules/Elezioni/importa.php	(revision 360)
@@ -35,5 +35,7 @@
 		elseif ($key==1) {$valori.= "null"; $oldidg=$campo;}
 		elseif ($key==6) $valori.= ",0";
-		else $valori.= ",'$campo'";
+		elseif($key==4 || $key==8) $valori.=",'".utf8_encode($campo)."'";
+		elseif($key==9) $valori.=",''";
+		else $valori.= ",'".$campo."'";
 		if ($key==2) $numgruppo= $campo;
 		if ($key==8) $isnew=1;
@@ -43,6 +45,12 @@
 
 		$sql="insert into ".$prefix."_ele_gruppo values($valori)";
+	try {
 		$res_gruppo = $dbi->prepare("$sql");
 		$res_gruppo->execute();	
+	}
+	catch(PDOException $e)
+	{
+		echo $sql . "<br>" . $e->getMessage();
+	}                  
 		$sql="select id_gruppo from ".$prefix."_ele_gruppo where num_gruppo='$numgruppo' and id_cons='$idcns'";
 		$resnew = $dbi->prepare("$sql");
@@ -60,25 +68,45 @@
 {
 global $prefix, $dbi;
-global $ar_lista,$ar_candi,$idcns;
-
-	foreach ($ar_lista as $rigalista){
+global $ar_lista,$idcns;
+
+	foreach ($ar_lista as $rigalista){ 
 		if(!isset($rigalista[3])) continue;
 		$oldidl=0;
 		$okl=0; 
 		$oldidg=$rigalista[3];
-		$newidg=$_SESSION['gruppi']['idg_'.$oldidg];
+		if(isset($_SESSION['gruppi'])) $newidg=$_SESSION['gruppi']['idg_'.$oldidg]; else $newidg=0;
 		foreach($rigalista as $key=>$campo){
-			if ($key==0) $valori="'$idcns',";
-			elseif ($key==1) {$valori.= "null";$oldidl=$campo;}
-			elseif ($key==3) {$valori.= ",'$newidg'"; if ($campo!=$oldidg) $okl=1;}
-			elseif ($key==4) $valori.= ",0"; 
-			else $valori.= ",'$campo'";
-			if ($key==2) $numlista= $campo;
+			if ($key==0) $valori=$idcns.",";
+/*			elseif ($key==1) {$oldidl=$campo;} 
+			elseif ($key==2) {$num_lista=$campo;$numlista=$campo;}
+			elseif ($key==3) {$id_gruppo=$newidg; if ($campo!=$oldidg) $okl=1;}
+			elseif ($key==5) $id_circ=$campo;			
+			elseif ($key==7) $descr_lista=$campo;			
+			elseif ($key==8) $stemmanome=$campo;			
+			elseif ($key==9) $stemmablob=$campo;			
+*/			
+			elseif ($key==1) {$valori.= "null,";$oldidl=$campo;}
+			elseif ($key==2) {$valori.="'$campo',";$numlista= $campo;}
+			elseif ($key==3) {$valori.= "'$newidg',"; if ($campo!=$oldidg) $okl=1;}
+			elseif ($key==4) $valori.= "0,"; 
+			elseif ($key==9 ) $valori.= "'$campo'"; 
+#			else $valori.= "'$campo',"; # htmlentities(stripslashes(utf8_decode($_POST['parola'])));
+			else $valori.="'".utf8_encode($campo)."',";
+#			else $valori.= "'".htmlentities($campo, ENT_QUOTES, "UTF-8")."',";  htmlspecialchars($str, ENT_QUOTES)
 		}
-		if(isset($valori)){
+		if($key==9){
 		if ($okl) {$okl=0;continue;}
+#		$valori2=htmlentities($valori);
+#			$sql="insert into ".$prefix."_ele_lista (id_cons,num_lista,id_gruppo,id_circ,descrizione,simbolo,stemma) values ('$id_cons','$num_lista','$id_gruppo','$id_circ','$descr_lista','$stemmanome','$stemmablob')";
 		$sql="insert into ".$prefix."_ele_lista values($valori)";
+	try {
 		$res_lista = $dbi->prepare("$sql");
-		$res_lista->execute();	
+		$res_lista->execute();
+	}
+	catch(PDOException $e)
+	{
+		echo $sql . "<br>" . $e->getMessage();
+	}                  
+			
 		$sql="select id_lista from ".$prefix."_ele_lista where num_lista='$numlista' and id_cons='$idcns'";
 		$reslnew = $dbi->prepare("$sql");
@@ -86,10 +114,11 @@
 		list ($newidl) = $reslnew->fetch(PDO::FETCH_NUM);
 		unset($valori);
-		if($oldidl)
+		if($oldidl){
 			$_SESSION['liste']['idl_'.$oldidl]=$newidl; 
-
+echo "id_lista:$oldidl:$newidl<br>";
+		}
 #		inscandi($oldidl,$newidl);
 		}
-}
+	}
 }
 
@@ -109,11 +138,20 @@
 				elseif ($key==1) $valori.="'$idcns',";
 				elseif ($key==2) {$valori.= "'$newidl'"; if ($campo!=$oldidl) $okc=1;}
-				else $valori.= ",'$campo'";
+				else $valori.= ",'".utf8_encode($campo)."'";
 			}
-			if(isset($valori)){
+			if(isset($valori) and $valori!=''){
 				if ($okc) {$okc=0;continue;}
+#				$valori2=addslashes($valori);
 				$sql="insert into ".$prefix."_ele_candidati values($valori)";
-				$res_lista = $dbi->prepare("$sql");
-				$res_lista->execute();	
+#				$res_lista = $dbi->prepare("$sql");
+#				$res_lista->execute();	
+				try {
+					$res_lista = $dbi->prepare("$sql");
+					$res_lista->execute();
+				}
+				catch(PDOException $e)
+				{
+					echo "<br>key:$key sql:".$sql . "<br>" . $e->getMessage();
+				}                  
 			}
 		}
@@ -268,5 +306,5 @@
 	}
 elseif ($numlista) {
-	inslista(0,0);
+#	inslista();
 	Header("Location: admin.php?op=lista&id_cons_gen=$id_cons_gen");
 	}
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 359)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 360)
@@ -41,7 +41,7 @@
 if (isset($_GET['valista'])) $validi=intval($_GET['valista']); else $validi='0';
 if (isset($_GET['nulli'])) $nulli=intval($_GET['nulli']); else $nulli='0';
-if (isset($_GET['bianchi'])) $bianchi=addslashes($_GET['bianchi']); else $bianchi='0';
-if (isset($_GET['contestati'])) $contestati=addslashes($_GET['contestati']); else $contestati='0';
-if (isset($_GET['votinulli'])) $votinulli=addslashes($_GET['votinulli']); else $votinulli='0';
+if (isset($_GET['bianchi'])) $bianchi=intval($_GET['bianchi']); else $bianchi='0';
+if (isset($_GET['contestati'])) $contestati=intval($_GET['contestati']); else $contestati='0';
+if (isset($_GET['votinulli'])) $votinulli=intval($_GET['votinulli']); else $votinulli='0';
 if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='0';
 if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='3';
Index: trunk/admin/modules/Elezioni/scarica.php
===================================================================
--- trunk/admin/modules/Elezioni/scarica.php	(revision 359)
+++ trunk/admin/modules/Elezioni/scarica.php	(revision 360)
@@ -29,7 +29,7 @@
 if (isset($param['fase'])) $fase=intval($param['fase']); else $fase=0;
 if (isset($param['id_cons_gen2'])) $id_cons_gen2=intval($param['id_cons_gen2']); else $id_cons_gen2='0';
-if (isset($param['indirizzoweb'])) $indirizzoweb=addslashes($param['indirizzoweb']); else $indirizzoweb='http://www.eleonline.it/client/';
+if (isset($param['indirizzoweb'])) $indirizzoweb=addslashes($param['indirizzoweb']); else $indirizzoweb='https://www.eleonline.it/client/';
 if (isset($param['id_comune2'])) $id_comune2=intval($param['id_comune2']); else $id_comune2='0';
-
+# htmlentities($param['indirizzoweb'], ENT_COMPAT, 'UTF-8')
 /******************************************************/
 /*Funzione di visualizzazione globale                 */
@@ -39,58 +39,46 @@
 	if (isset($help)) include("language/$language/ele_scarica.html");
 
-$bgcolor1=$_SESSION['bgcolor1'];
-$bgcolor2=$_SESSION['bgcolor2'];
-
-if ($fase=='0'){
-
-	echo "<form name=\"import\" action=\"admin.php\">";
-	echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
-	echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
-	echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"1\"><input type=\"text\" name=\"indirizzoweb\" size=\"50\" value=\"".$indirizzoweb."\"></td></tr>";
-	echo "<td><input type=\"submit\" name=\"add\" value=\""._OK."\"></td>";
-echo "</tr></table><br>";
-	echo "</form>";
-}elseif ($fase=='1'){
-$rem_cons="<script type=\"text/javascript\" src=\"$indirizzoweb/file.php?fase=1\"></script>";
-
-	echo "<form name=\"import\" action=\"admin.php\">";
-	echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
-	echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
-	echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"2\"><input type=\"hidden\" name=\"indirizzoweb\" value=\"$indirizzoweb\">$indirizzoweb</td></tr>";
-	echo "<tr><td><b>"._SCARICACONS."</b></td>";
-
-	echo "<td>$rem_cons</td></tr>";
-
+	$bgcolor1=$_SESSION['bgcolor1'];
+	$bgcolor2=$_SESSION['bgcolor2'];
+	if ($fase=='0'){
+		echo "<form name=\"import\" action=\"admin.php\">";
+		echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
+		echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
+		echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"1\"><input type=\"text\" name=\"indirizzoweb\" size=\"50\" value=\"".$indirizzoweb."\"></td></tr>";
+		echo "<td><input type=\"submit\" name=\"add\" value=\""._OK."\"></td>";
+		echo "</tr></table><br>";
+		echo "</form>";
+	}elseif ($fase=='1'){
+		$urlrem="$indirizzoweb/file.php?fase=1";
+		$rem_cons="<script type=\"text/javascript\" src=\"$urlrem\" crossorigin=\"anonymous\"></script>";
+		echo "<form name=\"import\" action=\"admin.php\">";
+		echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
+		echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
+		echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"2\"><input type=\"hidden\" name=\"indirizzoweb\" value=\"$indirizzoweb\">$indirizzoweb</td></tr>";
+		echo "<tr><td><b>"._SCARICACONS."</b></td>";
+		echo "<td>".$rem_cons."</td></tr>";
 		echo "<tr><td><input type=\"submit\" name=\"add\" value=\""._OK."\"></td>";
-
-echo "</tr></table><br>";
-	echo "</form>";
+		echo "</tr></table><br>";
+		echo "</form>";
 	}elseif($fase=='2'){
-
-$sql="SELECT descrizione from ".$prefix."_ele_consultazione WHERE id_cons_gen=$id_cons_gen2";
-$res = $dbi->prepare("$sql");
-$res->execute();
-list($descrcons) = $res->fetch(PDO::FETCH_NUM);
-$rem_cons="<script type=\"text/javascript\" src=\"$indirizzoweb/file.php?fase=2&id_cons_gen2=$id_cons_gen2\"></script>";
-
-	echo "<form name=\"import\" action=\"admin.php\">";
-	echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
-	echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
-	echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"3\"><input type=\"hidden\" name=\"indirizzoweb\" value=\"$indirizzoweb\">$indirizzoweb</td></td></tr>";
-$cons_rem=addslashes($_GET[($id_cons_gen2)]);
-echo "<tr><td><b>"._CONSULTA.":</b></td><td>$cons_rem</td></tr>";
-	echo "<tr><td><b>"._SCELTACOMUNE."</b></td><td>$rem_cons</td></tr>";
-
+		$sql="SELECT descrizione from ".$prefix."_ele_consultazione WHERE id_cons_gen=$id_cons_gen2";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		list($descrcons) = $res->fetch(PDO::FETCH_NUM);
+		$rem_cons="<script type=\"text/javascript\" src=\"$indirizzoweb/file.php?fase=2&id_cons_gen2=$id_cons_gen2\"></script>";
+		echo "<form name=\"import\" action=\"admin.php\">";
+		echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
+		echo "<td><b>"._INDIRIZZOWEB1."</b></td>";
+		echo "<td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"><input type=\"hidden\" name=\"op\" value=\"scarica\"><input type=\"hidden\" name=\"fase\" value=\"3\"><input type=\"hidden\" name=\"indirizzoweb\" value=\"$indirizzoweb\">$indirizzoweb</td></td></tr>";
+		$cons_rem=addslashes($_GET[($id_cons_gen2)]);
+		echo "<tr><td><b>"._CONSULTA.":</b></td><td>$cons_rem</td></tr>";
+		echo "<tr><td><b>"._SCELTACOMUNE."</b></td><td>$rem_cons</td></tr>";
 		echo "<tr><td><input type=\"submit\" name=\"add\" value=\""._OK."\"></td>";
-
-echo "</tr></table><br>";
-	echo "</form>";
-
+		echo "</tr></table><br>";
+		echo "</form>";
 	}elseif ($fase=='3'){
-
-$id_cons_gen2=$_GET['id_cons_gen2'];
-$id_comune2=$_GET['id_comune2'];
-Header("Location: $indirizzoweb/modules.php?op=backup&id_cons_gen=$id_cons_gen2&id_comune=$id_comune2");
-
+		$id_cons_gen2=$_GET['id_cons_gen2'];
+		$id_comune2=$_GET['id_comune2'];
+		Header("Location: $indirizzoweb/modules.php?op=backup&id_cons_gen=$id_cons_gen2&id_comune=$id_comune2");
 	} 
 }
